Skip to main content
DELETE
/
webhooks
/
{webhookId}
Python
import shippo

s = shippo.Shippo(
    api_key_header='ShippoToken <API_TOKEN>',
    shippo_api_version='2018-02-08',
)


s.webhooks.delete_webhook(webhook_id='<id>')

# Use the SDK ...
import { Shippo } from "shippo";

const shippo = new Shippo({
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08",
});

async function run() {
await shippo.webhooks.deleteWebhook("<id>");


}

run();
using Shippo;
using Shippo.Models.Components;

var sdk = new ShippoSDK(
apiKeyHeader: "ShippoToken <API_TOKEN>",
shippoApiVersion: "2018-02-08"
);

await sdk.Webhooks.DeleteWebhookAsync(webhookId: "<id>");

// handle response
declare(strict_types=1);

require 'vendor/autoload.php';

use Shippo\API;

$sdk = API\Shippo::builder()
->setSecurity(
'ShippoToken <API_TOKEN>'
)
->setShippoApiVersion('2018-02-08')
->build();



$response = $sdk->webhooks->deleteWebhook(
webhookId: '<id>'
);

if ($response->statusCode === 200) {
// handle response
}
package hello.world;

import com.goshippo.shippo_sdk.Shippo;
import com.goshippo.shippo_sdk.models.operations.DeleteWebhookResponse;
import java.lang.Exception;

public class Application {

public static void main(String[] args) throws Exception {

Shippo sdk = Shippo.builder()
.apiKeyHeader("ShippoToken <API_TOKEN>")
.shippoApiVersion("2018-02-08")
.build();

DeleteWebhookResponse res = sdk.webhooks().deleteWebhook()
.webhookId("<id>")
.call();

// handle response
}
}
curl --request DELETE \
--url https://api.goshippo.com/webhooks/{webhookId} \
--header 'Authorization: <api-key>'
const options = {method: 'DELETE', headers: {Authorization: '<api-key>'}};

fetch('https://api.goshippo.com/webhooks/{webhookId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.goshippo.com/webhooks/{webhookId}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("Authorization", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
require 'uri'
require 'net/http'

url = URI("https://api.goshippo.com/webhooks/{webhookId}")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Delete.new(url)
request["Authorization"] = '<api-key>'

response = http.request(request)
puts response.read_body

Authorizations

Authorization
string
header
default:ShippoToken
required

API key authentication using the ShippoToken scheme. Format: Authorization: ShippoToken <API_TOKEN> Example: Authorization: ShippoToken shippo_live_abc123

Path Parameters

webhookId
string
required

Object ID of the webhook to delete

Response

204

Webhook deleted successfully